#ifndef H_BYTECODE
#define H_BYTECODE

typedef unsigned int rl_opcode_t;

enum { OP_EXEC=1, OP_FISH, OP_SUID, OP_SGID, OP_NICE,
			 OP_RLIMIT, OP_LOG, OP_CHROOT, OP_ACCEPT, OP_FORK,
			 OP_WRAP, OP_SETCAP, OP_INITGR, OP_BRANCH, OP_CLOSE,
			 OP_BUFCOPY, OP_ZERO, OP_RET, OP_EXIT, OP_ECHO,
			 OP_UP, OP_DOWN, OP_FROG, OP_LSET, OP_LCLR,
			 OP_BUFINIT, OP_BUFREAD, OP_BUFWRITE, OP_RHOOK, OP_RUNHOOK,
			 OP_WHOOK, OP_WUNHOOK, OP_BZ, OP_JUMP, OP_BZNEG,
			 OP_ADD, OP_SUB, OP_DUP, OP_POP, OP_BUFCLONE,
			 OP_BUFFREE
};

#endif /* !H_BYTECODE */

/* vim:set ts=2: */
